Package Details: krusader-git 2.8.0.dev.r6241.g5fec71dd-1

Git Clone URL: https://aur.archlinux.org/krusader-git.git (read-only, click to copy)
Package Base: krusader-git
Description: Advanced twin panel file manager for KDE. (GIT version)
Upstream URL: http://www.krusader.org
Licenses: GPL
Conflicts: krusader
Provides: krusader
Submitter: CtHx
Maintainer: sir_lucjan
Last Packager: sir_lucjan
Votes: 38
Popularity: 0.56
First Submitted: 2011-01-10 00:11
Last Updated: 2020-06-13 21:06

Dependencies (22)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

student975 commented on 2018-04-04 09:47

I have tried to download the package and to make it with makepkg. It resulted in the file named krusader-git-2.6.1.beta.r5815.g706b9f7-1-x86_64.pkg.tar.xz. You see, commit prefix is shorter rather declared one.

sir_lucjan commented on 2018-04-03 22:53

Sorry, I don't care about aur helpers.

Look at

pkgver() {
  cd krusader
  _ver="$(cat CMakeLists.txt | grep -m1 'set(VERSION' | cut -d '"' -f2 | tr - .)"
  echo "${_ver}.r$(git rev-list --count HEAD).g$(git rev-parse --short HEAD)"
}

pkgver=2.6.1.beta.r5815.g706b9f78

[lucjan@archlinux ~]$ pacman -Ss krusader
lucjan-kde/krusader-git 2.6.1.beta.r5815.g706b9f78-1 [installed]
    Advanced twin panel file manager for KDE. (GIT version)`

I've tried with git describe:

[lucjan@archlinux krusader]$ git describe --long --tags | sed 's/^v//;s/-/./g'
2.6.0.master.206.g706b9f78

g706b9f78=g706b9f78

It's all right there.

student975 commented on 2018-04-03 22:40

Hi! I have got again the case with infinite update resulted in incorrect commit prefix length:

==> Software upgrade (new version) : aur/krusader-git 2.6.1.beta.r5815.g706b9f7-1 -> 2.6.1.beta.r5815.g706b9f78-1

May be we want shorter prefix. A building ends with:

==> Leaving fakeroot environment. ==> Finished making: krusader-git 2.6.1.beta.r5815.g706b9f7-1

student975 commented on 2017-07-28 14:08

Hi! For some reason starting from yesterday I have infinite update - that is after updating the package still wants to be updated again and again and again...:

$ yaourt -Syau
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
Foreign packages: / 9 / 9

==> Software upgrade (new version) :
aur/krusader-git 2.6.1.beta.r5714.ga55ed0d-1 -> 2.6.1.beta.r5714.ga55ed0de-1


It is interesting, hash fragments lengths are different.
Any hints?

sir_lucjan commented on 2017-05-24 17:37

@v_mk

This PKGBUILD ALWAYS builds the newest version.

student975 commented on 2017-02-23 18:33

Aha, I see, thanks for the clarification!

sir_lucjan commented on 2017-02-23 11:50

Please read this commit:

https://aur.archlinux.org/cgit/aur.git/commit/?h=krusader-git&id=7c5df5ebcdf6dc32007062bbc6ba83c7540a9609

I've updated depends, makedepends and optdepends.

student975 commented on 2017-02-23 09:44

Hi! Is there a reason for so frequent update? There isn't any technical reason for PKGBUILD to follow git trunk as long as build process itself isn't changed. With the same PKGBUILD we get the master's HEAD at any case.

sir_lucjan commented on 2017-02-22 17:53

Update to the newest commit.

sir_lucjan commented on 2017-02-22 09:24

I'll update PKGBUILD shortly.